// FILENAME:	GoP_Urban_Combat.cs
//
// AUTHOR:  	[GoP]Raynor
//
// RANDOM THOUGHT: What is Ethical  Hedonism?
//
//------------------------------------------------------------------------------

$missionName = "GoP_Urban_Combat";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}


function onMissionStart()
{
   temperateSounds();
}

function player::onAdd(%player)
{
   say(%player, 0, "Welcome to Urban Combat. By [GoP]Raynor. To join GoP go to http://gopss.cjb.net. Dont kill The Paladin, Ivan is in there.");
}

function onMissionLoad()
{
   cdAudioCycle("Purge", "Watching", "CloudBurst", "NewTech"); 
}

function Mike::vehicle::onDestroyed(%destroyed, %destroyer)
{
   say("Everybody", 1, "OH MY GOD HE KILLED IVAN! YOU BASTARD! WHAT DID HE EVER DO TO YOU?", "ee_pd20.wav");
}


function monkey::trigger::onEnter(%trigger, %vehicleId)
{
   setPosition(%vehicleId, 327, 411, 1400);
}


function monkey2::trigger::onEnter(%trigger, %vehicleId)
{
   setPosition(%vehicleId, 220, 425.067, 50.1);
}

function mars::structure::onScan(%scanned, %scanner)
{
   setPosition(%scanner, 682.574, -2217.95, 1042.68);   
}

function home::structure::onScan(%scanned, %scanner)
{
   setPosition(%scanner, 220, 425.067, 50.1);
}

function homeb::structure::onScan(%scanned, %scanner)
{
   setPosition(%scanner, 991.995, 154.802, 50);
}


function death::trigger::onContact(%trigger, %vehicleId)
{
   healObject(%vehicleId, -90000);
}


function arena::structure::onScan(%scanned, %scanner)
{
   setPosition(%scanner, -2117.42, 1671.82, 1900.16);
}

function PORT::trigger::onEnter(%trigger, %vehicleId)
{
   setPosition(%vehicleId, -6068.11, 2050.39, 1550.87);
}


function hello::trigger::onEnter(%trigger, %vehicleId)
{
   say(%vehicleId, 0, "Good Day Sir. We have two Imperial DropShips at your disposal. The Roughrider will take you to the blue stronghold in the city. The Miss Lucy will take you to the red stronghold. Just scan the ship when ready.");
}

function player::onAdd(%player)
{
schedule("say(\"Everybody\", 1, \"ADVERTISMENT: For Starsiege Resources go to http://sshldover.cjb.net");", 70);
}

function vehicle::onDestroyed(%destroyed, %destroyer)
{
   if(%destroyed == $tank1)
   {
      $tank1 = cloneVehicle(%destroyed);
      setTeam($herc1, getTeam(%destroyed));
      reDrop($herc1);
      schedule("deleteObject(" @ %destroyed @ ");", 5);

	else if(%destroyed == $olyp1)
	{
	$olyp1 = cloneVehicle(%destroyed);
	setTeam($olyp1, getTeam(%destroyed));
	reDrop($olyp1);
	order($olyp1, guard, $path1);
	schedule("deleteObject(" @ %destroyed @ ");", 5);
	}
   // left over from missionStdLib.cs
   vehicle::onDestroyedLog(%destroyed, %destroyer);
   
   // this is weird but %destroyer isn't necessarily a vehicle
   %message = getFancyDeathMessage(getHUDName(%destroyed), getHUDName(%destroyer));
   if(%message != "")
   {
      say( 0, 0, %message);
   }
   
   // enforce the rules
   if($server::TeamPlay == true)
   {
      if(
         (getTeam(%destroyed) == getTeam(%destroyer)) &&
         (%destroyed != %destroyer)
      )
      {
         antiTeamKill(%destroyer);
      }
   }   
}
