// FILENAME:	DM_Desert_City.cs
//
// AUTHORS:		[GoP] -|{C.Raynor}|-
//------------------------------------------------------------------------------

$missionName = "DM_Desert_City";

$killPoints    = 3;
$deathPoints   = 2;


exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome. This is a GoP Server, currently running DM_Desert_City. Made by [GoP]Raynor. To join GoP go to http://gopss.cjb.net.");
}


function onMissionLoad()
{
   cdAudioCycle("Purge", "Terror", "Watching");
}

function onMissionStart()
{
   
 	$padWaitTime = 0;
  	$zenWaitTime = 0;

	marsSounds();
	
}

function bwar::structure::onScan(%scanned, %scanner)
{
   setPosition(%scanner, -267.181, 1431.19, 309.033);
}

function rwar::structure::onScan(%scanned, %scanner)
{
   setPosition(%scanner, -299.201, 2400.49, 315.44);
}

function player::onAdd(%player)
{
schedule("say(\"Everybody\", 1, \"ADVERTISMENT: For Starsiege Resources go to http://sshldover.cjb.net");", 90);
}
